using GarmentFactoryDataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.ComponentModel;

namespace GarmentFactoryContracts.ViewModels
{
    public class TextileViewModel : ITextileModel
    {
        public int Id { get; set; }
        [DisplayName("Название изделия")]
        public string TextileName { get; set; } = string.Empty;
        [DisplayName("Цена")]
        public double Price { get; set; }
        public Dictionary<int, (IComponentModel, int)> TextileComponents
        {
            get;
            set;
        } = new();
    }
}
